当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译2.6.36,最后出错
帖子发表于 : 2010-11-13 14:22 

注册: 2009-08-08 23:58
帖子: 33
送出感谢: 2
接收感谢: 0 次
我是在10.04下面按照“从linux-2.6.32开始可以使用make localmodconfig自动精简内核, 菜鸟也能轻松精简内核到十几MB”的帖子来编译的,之前在虚拟机下面编译10.10是成功的,但换在硬盘下编译时,最后出现了

drivers/staging/rtl8187se/built-in.o:/home/zhou/linux-2.6.36/drivers/staging/rtl8187se/r8180_core.c:178: first defined here
drivers/staging/rtl8192u/built-in.o: In function `ieee80211_start_protocol':
/home/zhou/linux-2.6.36/drivers/staging/rtl8192u/ieee80211/ieee80211_softmac.c:2659: multiple definition of `ieee80211_start_protocol'
drivers/staging/rtl8187se/built-in.o:/home/zhou/linux-2.6.36/drivers/staging/rtl8187se/ieee80211/ieee80211_softmac.c:2453: first defined here
make[3]: *** [drivers/staging/built-in.o] Error 1
make[2]: *** [drivers/staging] Error 2
make[1]: *** [drivers] Error 2
make[1]: Leaving directory `/home/zhou/linux-2.6.36'
make: *** [debian/stamp/build/kernel] Error 2
之前还有很多类似的就不打出来了。deb包没有出来。这是驱动没有选好吗?刚开始接触,不太懂,用的是make localmodconfig 命令。先谢谢了。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译2.6.36,最后出错
帖子发表于 : 2010-11-13 16:03 

注册: 2010-06-16 20:55
帖子: 177
送出感谢: 0 次
接收感谢: 1
rtl8192u和rtl8187se冲突,必须要在其中做出抉择。
首先你make menuconfig然后找这两个的,必须只能选择其中一个。
我估计是在Device Drivers -> Staging -> 找的,或者你输入/RTL找找看。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 编译2.6.36,最后出错
帖子发表于 : 2010-11-13 16:04 

注册: 2010-06-16 20:55
帖子: 177
送出感谢: 0 次
接收感谢: 1
你是DLink网卡吗?如果是告诉我下你以前怎么装这个网卡的。我正愁着这款网卡的设备驱动。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 编译2.6.36,最后出错
帖子发表于 : 2010-11-13 18:27 

注册: 2009-08-08 23:58
帖子: 33
送出感谢: 2
接收感谢: 0 次
[quote="frankvista"]rtl8192u和rtl8187se冲突,必须要在其中做出抉择。
首先你make menuconfig然后找这两个的,必须只能选择其中一个。
我估计是在Device Drivers -> Staging -> 找的,或者你输入/RTL找找看。[/quo

是这样的话我大概出现很多冲突了……那些是无关紧要的设备或驱动吗?现在在做另一次的编译,一个半小时还没有编译好……t6400这么不行吗……


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 编译2.6.36,最后出错
帖子发表于 : 2010-11-13 18:31 

注册: 2009-08-08 23:58
帖子: 33
送出感谢: 2
接收感谢: 0 次
frankvista 写道:
你是DLink网卡吗?如果是告诉我下你以前怎么装这个网卡的。我正愁着这款网卡的设备驱动。


我的网卡是博通的,所以不太清楚怎样装驱动……


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 编译2.6.36,最后出错
帖子发表于 : 2010-11-13 18:57 

注册: 2010-06-16 20:55
帖子: 177
送出感谢: 0 次
接收感谢: 1
zhou586w 写道:
frankvista 写道:
rtl8192u和rtl8187se冲突,必须要在其中做出抉择。
首先你make menuconfig然后找这两个的,必须只能选择其中一个。
我估计是在Device Drivers -> Staging -> 找的,或者你输入/RTL找找看。


是这样的话我大概出现很多冲突了……那些是无关紧要的设备或驱动吗?现在在做另一次的编译,一个半小时还没有编译好……t6400这么不行吗……


前面没说清楚,是不能同时编译进内核,编译进模块可以,除非严格冲突,那样不给你设置的。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 编译2.6.36,最后出错
帖子发表于 : 2010-11-16 1:38 

注册: 2009-08-08 23:58
帖子: 33
送出感谢: 2
接收感谢: 0 次
frankvista 写道:
zhou586w 写道:
frankvista 写道:
rtl8192u和rtl8187se冲突,必须要在其中做出抉择。
首先你make menuconfig然后找这两个的,必须只能选择其中一个。
我估计是在Device Drivers -> Staging -> 找的,或者你输入/RTL找找看。


是这样的话我大概出现很多冲突了……那些是无关紧要的设备或驱动吗?现在在做另一次的编译,一个半小时还没有编译好……t6400这么不行吗……


前面没说清楚,是不能同时编译进内核,编译进模块可以,除非严格冲突,那样不给你设置的。

如果有选择编译进模块,在编译的时候要单独先编译模块的吗?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译